cURL
curl --request GET \
--url https://api.spotflow.co/api/v1/plans \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.spotflow.co/api/v1/plans"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.spotflow.co/api/v1/plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"content": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"frequency": "DAILY",
"amount": 123,
"currency": "<string>",
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"internalReference": "<string>",
"regions": [
"<string>"
],
"subscribers": 123,
"subscriptions": 123,
"trial": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"planId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"periodInDays": 123,
"pricingList": [
{
"type": "FLAT",
"amount": 123,
"currency": "<string>"
}
]
},
"pricingOptions": [
{
"amount": 123,
"currency": "<string>"
}
]
}
],
"pageNumber": 123,
"pageSize": 123,
"totalElements": 123,
"totalPages": 123
}
]{
"error": "Missing Parameter",
"message": "missing_parameter",
"status": 400
}{
"message": "Authorization token is required.",
"statusCode": 401,
"code": "AUTH_ERROR",
"requestMarker": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Subscription Plans
Get All Plans
This retrieves and lists all subscription plans available on your integration.
GET
/
plans
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The unique identifier of the plan whose subscriptions are to be retrieved.
The unique identifier of the plan whose subscriptions are to be retrieved.
Page number for pagination (default is 0).
Number of items per page for pagination (default is 10).
Response
A JSON array of subscription objects.
⌘I

